LinuxQMISDK: voiceGetConfigResp Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
voiceGetConfigResp Struct Reference

## Data Fields
BYTE * | pAutoAnswerStat
airTimer * | pAirTimerCnt
roamTimer * | pRoamTimerCnt
BYTE * | pCurrTTYMode
prefVoiceSO * | pCurPrefVoiceSO
curAMRConfig * | pCurAMRConfig
BYTE * | pCurVoicePrivacyPref
BYTE * | pCurVoiceDomainPref

## Detailed Description

This structure contains Voice Get Configuration Response Parameters.

Parameters

  pAutoAnswerStat(optional) | Auto Answer Status Value returned is read from NV_AUTO_ANSWER_I. 0x00 - Disabled 0x01 - Enabled 0xFF - Not Available
  pAirTimerCnt(optional) | Air Timer Count Value returned is read from NV_AIR_CNT_I. See airTimer for more information
  pRoamTimerCnt(optional) | Roam Timer Count Value returned is read from NV_ROAM_CNT_I. See roamTimer for more information
  pCurrTTYMode(optional) | Current TTY Mode Value returned is read from NV_TTY_I. 0x00 - TTY_MODE_FULL - Full 0x01 - TTY_MODE_VCO - Voice carry over 0x02 - TTY_MODE_HCO - Hearing carry over 0x03 - TTY_MODE_OFF - Off 0xFF - Not Available
  pCurPrefVoiceSO(optional) | Current Preferred Voice SO Value returned is read from NV_PREF_VOICE_SO_I. See prefVoiceSO for more information
  pCurAMRConfig(optional) | Current Adaptive Multi-Rate Configuration. Values returned are read from NV_GSM_ARM_CALL_CONFIG_I and NV_UMTS_AMR_CODEC_PREFERENCE_CONFIG_I. See curAMRConfig for more information
  pCurVoicePrivacyPref(optional) | Current Voice Privacy Preference Value returned is read from NV_VOICE_PRIV_I. 0x00 - Standard privacy 0x01 - Enhanced privacy 0xFF - Not Available
  pCurVoiceDomainPref(optional) | Current Voice Domain Preference. 0x00 - Circuit-switched (CS) only 0x01 - Packet-switched (PS) only 0x02 - CS is preferred; PS is secondary 0x03 - PS is preferred; CS is secondary 0xFF - Not Available

Note
  Using NULL for the pointers would make sure that the parameter is not returned or has default value.

## Field Documentation

airTimer* voiceGetConfigResp::pAirTimerCnt

BYTE* voiceGetConfigResp::pAutoAnswerStat

curAMRConfig* voiceGetConfigResp::pCurAMRConfig

prefVoiceSO* voiceGetConfigResp::pCurPrefVoiceSO

BYTE* voiceGetConfigResp::pCurrTTYMode

BYTE* voiceGetConfigResp::pCurVoiceDomainPref

BYTE* voiceGetConfigResp::pCurVoicePrivacyPref

roamTimer* voiceGetConfigResp::pRoamTimerCnt